KDE 4.7 PyKDE API Reference

- KDE's Python API

# VideoWidgetInterface Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon

## Detailed Description

## Methods
Phonon.VideoWidget.AspectRatio | aspectRatio (self)
float | brightness (self)
float | contrast (self)
float | hue (self)
float | saturation (self)
Phonon.VideoWidget.ScaleMode | scaleMode (self)
| setAspectRatio (self, Phonon.VideoWidget.AspectRatio a0)
| setBrightness (self, float a0)
| setContrast (self, float a0)
| setHue (self, float a0)
| setSaturation (self, float a0)
| setScaleMode (self, Phonon.VideoWidget.ScaleMode a0)
QWidget | widget (self)

## Method Documentation

Phonon.VideoWidget.AspectRatio aspectRatio | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float brightness | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float contrast | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float hue | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float saturation | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Phonon.VideoWidget.ScaleMode scaleMode | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setAspectRatio | ( | self, |
|  | Phonon.VideoWidget.AspectRatio | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setBrightness | ( | self, |
|  | float | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setContrast | ( | self, |
|  | float | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setHue | ( | self, |
|  | float | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setSaturation | ( | self, |
|  | float | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setScaleMode | ( | self, |
|  | Phonon.VideoWidget.ScaleMode | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QWidget widget | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.